;*****************************************************************************
;* AsmHello.asm                           Copyright (c) Ladislav Zezula 2003 *
;*---------------------------------------------------------------------------*
;* Implementation of simple program in assembler language                    *
;* Tutorial:                                                                 *
;*      http://www.builder.cz/art/assembler/win_32_asm_1.html                *
;*                                                                           *
;* For smaller EXE image, include this in your Linker settings:              *
;* /align:0x10 /OPT:REF                                                      *
;*                                                                           *
;*---------------------------------------------------------------------------*
;*   Date    Ver   Who  Comment                                              *
;* --------  ----  ---  -------                                              *
;* 30.09.03  1.00  Lad  The first version of AsmHello.asm                    *
;*****************************************************************************

.586
.MODEL FLAT,STDCALL

OPTION CASEMAP:NONE
UNICODE=0

include inc/windows.inc
include inc/user32.inc

includelib lib/user32.lib

?WINDOWS=1

.data

szMessage       db "Hello, world !!!", 0
szTitle         db "Assembler",0

.code

WinMain PROC    hInstance    :HANDLE,
                hPrevInstance:HANDLE,
                lpszCmdParam :LPSTR,
                nCmdShow     :WORD

        INVOKE  MessageBox, NULL, offset szMessage, offset szTitle, MB_OK
        ret
WinMain ENDP

end
